Bug 659812 - Review Request: libindicator - Shared functions for Ayatana indicators
Review Request: libindicator - Shared functions for Ayatana indicators
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-03 14:05 EST by Adam Williamson
Modified: 2015-06-12 14:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-23 15:13:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jspaleta: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2010-12-03 14:05:01 EST
Spec URL: http://www.happyassassin.net/extras/libindicator.spec
SRPM URL: http://www.happyassassin.net/extras/libindicator-0.3.15-1.fc15.src.rpm
Description: A set of symbols and convenience functions that all Ayatana indicators are likely to use.

This is part of packaging Unity for Fedora. The only odd thing about the build is that we build the lib twice, to have a GTK+ 2 and a GTK+ 3 build, so GTK+2 and GTK+3 apps can both use the indicator framework. This is explicitly intended and supported by upstream. The patches, as noted, come from upstream and fix a couple of things for this building-both-libraries process.

rpmlint output:

[adamw@adam result]$ rpmlint *.rpm
libindicator.src:86: W: configure-without-libdir-spec
libindicator.src: W: no-cleaning-of-buildroot %clean
libindicator.src: W: no-buildroot-tag
libindicator.src: W: no-%clean-section
libindicator-devel.x86_64: W: non-conffile-in-etc /etc/X11/Xsession.d/80indicator-debugging
8 packages and 0 specfiles checked; 0 errors, 5 warnings.

the configure-without-libdir is a false positive that comes when re-defining _configure for out-of-tree building (necessary to do the two builds). The actual configure statements are correct. non-conffile-in-etc is okay, the file isn't really intended to be modified (it just sets some values to aid in developer debugging, which is why it's packaged in the -devel package; this is how Ubuntu packages it too). The others are okay for F13+ (F12 is EOL).
Comment 1 Jef Spaleta 2010-12-06 19:10:13 EST
APPROVED for rawhide (f15+)

checksum of source url matches checksum of included source tarball.

sha512sum:
c94ad89a5afc980e50f8ab83784b052c3ba1c66fb2d2ddf4201d225c577be78422d3ae3f7bf66cbf47745abc7b2e1263b24a9cfa625f72e4c5b2a2c7769319d7

license tag agrees with project homepage licensing and copying file in upstream source tree.

package and subpackage naming is good.

local mock builds against 64bit rawhide succeed. F-13 and F-14 fail due to the gtk3 requirement.

I get the same rpmlint warning messages and concur with the explanations given.

The main binary package looks sane with regard to ownership and payload.

The devel and gtk3-devel packages look sane with regard to ownership and payload

tool subpackages look sane.


rpm scriptlets look good for ldconfig for gtk2 and gtk3 library payloads.

The only executable from the tools and gtk3-tools subpackages are located in libexecdir has correct permissions.

No end-user executables that need a desktopfile.

gtk2 and gtk3 subpackages install side by side with no conflicts
Comment 2 Adam Williamson 2010-12-08 13:55:36 EST
New Package SCM Request
=======================
Package Name: libindicator
Short Description: Shared functions for Ayatana indicators
Owners: adamwill
Branches: 
InitialCC:
Comment 3 Jens Petersen 2010-12-08 20:04:56 EST
Git done (by process-git-requests).
Comment 4 Simone Caronni 2015-06-11 03:35:49 EDT
Package Change Request
======================
Package Name: libindicator
New Branches: epel7
Owners: slaanesh
Comment 5 Gwyn Ciesla 2015-06-11 08:42:45 EDT
Comments from the primary maintainers?
Comment 6 Adam Williamson 2015-06-12 14:33:40 EDT
I'm no longer the maintainer of the package, and I don't think the current maintainer is CC'ed (vicodan). jspaleta is a committer.

Note You need to log in before you can comment on or make changes to this bug.